BANK KALTENG Bugs - Bug #3742

[ESS-LeaveMobile]perbaikan pada ess leave mobile dimana untuk contoh employee 00000014
mengajukan cuti besar kode 03 di tanggal 21 sampai 24 juli tetapi terjadi error anda tidak berhak
mengajukan cuti jenis ini.

07/21/2025 11:28 AM - Muhammad Bintar

Status: QA Test Start date: 07/21/2025

Priority: High Due date: 07/23/2025

Assignee: Muhammad Bintar % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 2.00 hours

Description

dear tim developer mohon supportnya untuk perbaikan pada ess leave mobile dimana untuk contoh employee 00000014
mengajukan cuti besar kode 03 di tanggal 21 sampai 24 juli tetapi terjadi error anda tidak berhak mengajukan cuti jenis ini.
itu karena apa ya?? seharusnya bisa submit.
activation code nya BKTDEV

Port: http://remote.minovais.com:31130/
DB: MinovaES_Bank_Kalteng_Dev (1442)

History

#1 - 07/21/2025 05:41 PM - Kezia Pawitra Yulianti
- Status changed from New to Assigned

- Priority changed from Normal to High

#2 - 07/22/2025 10:08 AM - M Azid Wahyudi
- File clipboard-202507221003-qoxup.png added
- File clipboard-202507221006-mfaOh.png added

dear masbin , untuk pengajuan cuti besar atau kode 03 ada ketentuan tersendiri dari sebelumnya yaitu
1. pengajuan di waktu terakhir aktif yang dimana enddatenya 9991231

2. Employee statusnya yang aktif
3. hanya berlaku pegawai tetap
http://remote.minovais.com:31130/

if (request.absence_type ==

10ty

00% -
I3 Resuts {3 Messages

StatDate  EndDate  EmployeelD  MovemeriType  MovemertResson CompanylD  EmployeeArea  Employeefice  EmployeeStaius  EmployeeType  EmployeeSubType

PayrolGroup  Organization  Postion  Jobs CostCenter  TaxCffice  SuratPerintahKena
1 {18E20501 ) 20230521 000D0ODV4 1 &l 1000 1000 001 0 0 ) 0001 00000045 10000207 DD0000ST  PKR NULL
2 073052 20230716 00000014 15 ® 1000 1000 001 0 o 52 0001 00000247 10001533 00000087 PKR NULL
3 2230717 0231204 000004 15 % 1000 1000 001 o1 o 52 0001 00000243 10001528 00000087 PKR NULL
4 20731205 20250629 0UDOODI4 15 & 1000 3000 002 0 01 52 0001 00000252 10001537 10001537 0000DOGZ  PKR NULL
5 20250630 20250731 (00DOOOTA 15 % 1000 1000 001 o o 52 0001 00000243 10001528 10002438 DOOODOG7  PKR NULL
6 20250801 99991231 0000O0V4 Q2 8 1000 1000 001 bl 0 52 0001 00000248 10007528 10002498 00000087  PKR NULL

note : kalau mau di takeout harap diskusi dulu sama bang daud dan mba yaya
makasih

#3 - 07/22/2025 10:08 AM - M Azid Wahyudi
- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to Muhammad Bintar

#4 - 07/22/2025 10:59 AM - Kezia Pawitra Yulianti
- Status changed from QA Test to Revise

- Assignee changed from Muhammad Bintar to M Azid Wahyudi

untuk kondisi enddate 99991231 kayaknya perlu di take out. yg harus di tambahin kondisinya adalah ngecek periode cutinya supaya sesuai dgn
kondisi lain baik status maupun type.

#5 - 07/22/2025 11:26 AM - M Azid Wahyudi
- Status changed from Revise to QA Test

- Assignee changed from M Azid Wahyudi to Muhammad Bintar

dear masbin , udah bisa di test ya

package :
MinovalS.Mobile.API

makasih

Files

clipboard-202507211128-bxmau.png 36.5 KB 07/21/2025 Muhammad Bintar
clipboard-202507211128-a9xeb.png 35.8 KB 07/21/2025 Muhammad Bintar
clipboard-202507221003-goxup.png 52.8 KB 07/22/2025 M Azid Wahyudi
clipboard-202507221006-mfa0h.png 36.5 KB 07/22/2025 M Azid Wahyudi
